Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class Comment2000

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.Comment2000

    public final class Comment2000

extends RecordContainer

This class represents a comment on a slide, in the format used by PPT 2000/XP/etc. (PPT 97 uses plain Escher Text Boxes for comments)

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` | `Comment2000()` Create a new Comment2000, with blank fields
`protected` | `Comment2000(byte[] source, int start, int len)` Set things up, and find our more interesting children

Method Summary
`java.lang.String` | `getAuthor()` Get the Author of this comment
`java.lang.String` | `getAuthorInitials()` Get the Author's Initials of this comment
`Comment2000Atom` | `getComment2000Atom()` Returns the Comment2000Atom of this Comment
`long` | `getRecordType()` We are of type 1200
`java.lang.String` | `getText()` Get the text of this comment
`void` | `setAuthor(java.lang.String author)` Set the Author of this comment
`void` | `setAuthorInitials(java.lang.String initials)` Set the Author's Initials of this comment
`void` | `setText(java.lang.String text)` Set the text of this comment
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Comment2000

    protected Comment2000(byte[] source,
                          int start,
                          int len)

  Set things up, and find our more interesting children

### Comment2000

    public Comment2000()

  Create a new Comment2000, with blank fields

Method Detail

### getComment2000Atom

    public Comment2000Atom getComment2000Atom()

  Returns the Comment2000Atom of this Comment

### getAuthor

    public java.lang.String getAuthor()

  Get the Author of this comment

### setAuthor

    public void setAuthor(java.lang.String author)

  Set the Author of this comment

### getAuthorInitials

    public java.lang.String getAuthorInitials()

  Get the Author's Initials of this comment

### setAuthorInitials

    public void setAuthorInitials(java.lang.String initials)

  Set the Author's Initials of this comment

### getText

    public java.lang.String getText()

  Get the text of this comment

### setText

    public void setText(java.lang.String text)

  Set the text of this comment

### getRecordType

    public long getRecordType()

  We are of type 1200

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.